const co = require('co');
const join = require('path').join;
const npminstall = require('npminstall');

const rootDir = process.cwd();

co(function* () {
  yield npminstall({
    // install root dir
    root: rootDir,
    // optional packages need to install, default is package.json's dependencies and devDependencies
    pkgs: [
      { name: 'mkdirp', version: 'latest' },
    ],
    // install to specific directory, default to root
    targetDir: rootDir,
    // link bin to specific directory (for global install)
    binDir: join(rootDir, 'node_modules', '.bin'),
    // registry, default is https://registry.npmjs.org
    registry: 'http://registry.npm.taobao.org',
    // debug: false,
    // storeDir: root + 'node_modules',
    // ignoreScripts: true, // ignore pre/post install scripts, default is `false`
    // forbiddenLicenses: forbit install packages which used these licenses
  });
}).catch(err => {
  console.error(err.stack);
});